List customers
curl --request GET \
--url https://api.beta.suby.fi/v3/customers \
--header 'X-Suby-Api-Key: <api-key>'import requests
url = "https://api.beta.suby.fi/v3/customers"
headers = {"X-Suby-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Suby-Api-Key': '<api-key>'}};
fetch('https://api.beta.suby.fi/v3/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "cus_abc123",
"organizationId": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"billingLine1": "<string>",
"billingLine2": "<string>",
"billingCity": "<string>",
"billingState": "<string>",
"billingPostalCode": "<string>",
"billingCountry": "<string>",
"businessName": "<string>",
"taxId": "<string>",
"externalRef": "<string>",
"taxRateBps": 123,
"customerAccountEVM": "<string>",
"customerAccountSOL": "<string>",
"customerAccountBTC": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"total": 123
}
},
"message": "<string>"
}{
"success": false,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}Customers
List customers
GET
/
v3
/
customers
List customers
Authorizations
Secret API key. sk_live_… (production) or sk_sandbox_… (sandbox).
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque pagination cursor from a previous pagination.nextCursor.
Exact-match filter by email.
Exact-match filter on the merchant business reference.
Maximum string length:
120Inclusive createdAt lower bound, in ms epoch.
Required range:
x >= 0Example:
1743638400000
Inclusive createdAt upper bound, in ms epoch.
Required range:
x >= 0Example:
1751414400000
Was this page helpful?
⌘I

